







#ifndef XGFXWORLDSTREAMINFO_H
#define XGFXWORLDSTREAMINFO_H

#include "xasset.h"
#include "xgfxstreamingaabbtree.h"

class XGfxWorldStreamInfo : public XAsset
{
public:
    explicit XGfxWorldStreamInfo();

    void ParseData(QDataStream *aStream) override;

    int GetAabbTreeCount() const;
    void SetAabbTreeCount(int count);

    QVector<XGfxStreamingAabbTree>& GetAabbTrees();
    const QVector<XGfxStreamingAabbTree>& GetAabbTrees() const;
    void SetAabbTrees(const QVector<XGfxStreamingAabbTree>& trees);

    int GetLeafRefCount() const;
    void SetLeafRefCount(int count);

    QVector<int>& GetLeafRefs();
    const QVector<int>& GetLeafRefs() const;
    void SetLeafRefs(const QVector<int>& refs);

private:
    int mAabbTreeCount = 0;
    QVector<XGfxStreamingAabbTree> mAabbTrees;

    int mLeafRefCount = 0;
    QVector<int> mLeafRefs;
};

#endif // XGFXWORLDSTREAMINFO_H








